Subject: Re: git stash while pending merge should not be allowed

From: Scott McPeak <[email-masked]>
Date: Thu, 13 Jun 2013 16:59:21 -0700

On 06/07/13 11:47, Junio C Hamano wrote:
> Scott McPeak <[email-masked]> writes:
>
>> I suggest that this problem could easily have been avoided if "git
>> stash" refused to run with a pending merge (present MERGE_HEAD file),
>> since this is crucial repository state that it does not save.  This
>> seems similar to what "git cherry-pick" does.
>
> Sounds senslbe.  What do we want to see happen in other states, in
> which Git gives control back to the user asking for help before
> moving forward (e.g. am, rebase, cherry-pick, revert)?

If you're asking me, I don't know.  My first thought is if there is any 
pending state that "stash" doesn't save, stash should refuse to run. 
But I don't know know very much about some of those commands.

-Scott